Commit 13dfaf50 authored by François Perrad's avatar François Perrad
Browse files

travis: refactor with hererocks

parent ba0367ae
language: c
language: python
sudo: false
env:
- LUASUFFIX=5.1 LUAVER=5.1
- LUASUFFIX=5.2 LUAVER=5.2
- LUASUFFIX=jit LUAVER=5.1
- LUA="lua 5.1" COMPAT=default CFLAGS=""
- LUA="lua 5.2" COMPAT=default CFLAGS=""
- LUA="lua 5.2" COMPAT=none CFLAGS=""
- LUA="lua 5.3" COMPAT=default CFLAGS=""
- LUA="lua 5.3" COMPAT=none CFLAGS=""
# - LUA="lua 5.3" COMPAT=default CFLAGS="-DLUA_NOCVTN2S -DLUA_NOCVTS2N"
- LUA="lua 5.3" COMPAT=default CFLAGS="-DLUA_32BITS"
- LUA="lua 5.3" COMPAT=default CFLAGS="-DLUA_FLOAT_TYPE=3"
- LUA="lua 5.3" COMPAT=default SRC53="LUAVER=5.3" CFLAGS=""
- LUA="lua 5.3" COMPAT=none SRC53="LUAVER=5.3" CFLAGS=""
# - LUA="lua 5.3" COMPAT=default SRC53="LUAVER=5.3" CFLAGS="-DLUA_NOCVTN2S -DLUA_NOCVTS2N"
- LUA="lua 5.3" COMPAT=default SRC53="LUAVER=5.3" CFLAGS="-DLUA_32BITS"
- LUA="lua 5.3" COMPAT=default SRC53="LUAVER=5.3" CFLAGS="-DLUA_FLOAT_TYPE=3"
- LUA="luajit 2.0" COMPAT=none CFLAGS=""
- LUA="luajit 2.0" COMPAT=all CFLAGS=""
- LUA="luajit 2.1" COMPAT=none CFLAGS=""
- LUA="luajit 2.1" COMPAT=all CFLAGS=""
before_install:
- pip install hererocks
- hererocks HERE --$LUA --compat $COMPAT --cflags="$CFLAGS" --no-readline --luarocks latest --verbose
- hererocks HERE --show
- source HERE/bin/activate
# Tool setup.
install:
- sudo apt-get update -qq
- sudo apt-get install -qq lua5.1 liblua5.1-0-dev
- sudo apt-get install -qq lua5.2 liblua5.2-dev
- sudo apt-get install -qq luajit
- sudo ln -s /usr/bin/luajit-2.0.0-beta9 /usr/bin/luajit
- sudo rm /usr/bin/lua
- sudo ln -s /usr/bin/lua$LUASUFFIX /usr/bin/lua
- lua -v
- git clone git://github.com/keplerproject/luarocks.git
- cd luarocks
- ./configure --lua-version=$LUAVER --lua-suffix=$LUASUFFIX
- make
- sudo make install
- cd ..
- sudo luarocks install lua-testmore
- sudo luarocks install lua-coat
- sudo luarocks install lbc
- sudo luarocks install luacov-coveralls
- sudo luarocks install luacheck
- luarocks install luacov-coveralls
- luarocks install luacheck
- luarocks install lua-testmore
- luarocks install lua-coat
- luarocks install lbc
- luarocks install lmathx # required by Lua-5.3-strict
# Build and test.
script:
- make luacheck
- make LUA=lua$LUASUFFIX test
- make LUA=lua$LUASUFFIX coveralls
# - make luacheck
- make test $SRC53
after_success:
- make coveralls $SRC53
branches:
only:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment